Skip to main content

Set an invoice as paid

POST 

/api/invoices/{id}:set-paid

Required permissions:

  • invoices.edit_sent: allows setting invoices as paid.

Request

Path Parameters

    id integerrequired

    Possible values: Value must match regular expression [0-9]+

    The ID of the invoice to set as paid

Header Parameters

    Wethod-Company stringrequired

    The company you want to interact with

    Wethod-Version stringrequired

    The API version you want to use

Body

    payment_date YYYY-MM-DDnullable

    The invoice payment date.

    If not provided, the current date will be used.

Responses

Returns the invoice updated.

Schema

    id integerrequired

    Possible values: >= 1

    The unique identifier of the resource

    created_at date-timerequired

    The date and time when the resource was created

    updated_at date-timerequired

    The date and time when the resource was last updated

    status stringrequired

    Possible values: [draft, sent, paid]

    The invoice status

    invoice_number stringnullable

    The invoice number

    purchase_order stringnullable

    The invoice purchase order reference

    value floatrequired

    The invoice value

    exchange_rate floatnullable

    The invoice custom exchange rate

    issue_date YYYY-MM-DDrequired

    The invoice issue date

    payment_date YYYY-MM-DDnullable

    The invoice payment date

    notes stringnullable

    The invoice notes

    project_id integerrequired

    Possible values: >= 1

    The ID of the project associated with this invoice

    budget_area_uid stringnullable

    The UID of the budget area associated with this invoice

    vat_rate_id integernullable

    The ID of the VAT rate associated with this invoice

    payment_term_id integernullable

    The ID of the payment term associated with this invoice

Loading...